#// notice.awk
#// Display "Did you notice..." post in viewer
#// 31.03.2015
#// 
#// Copyright (C) 2015  Balthasar Szczepański
#// 
#// This program is free software: you can redistribute it and/or modify
#// it under the terms of the GNU Affero General Public License as
#// published by the Free Software Foundation, either version 3 of the
#// License, or (at your option) any later version.
#// 
#// This program is distributed in the hope that it will be useful,
#// but WITHOUT ANY WARRANTY; without even the implied warranty of
#// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#// GNU Affero General Public License for more details.
#// 
#// You should have received a copy of the GNU Affero General Public License
#// along with this program.  If not, see <http://www.gnu.org/licenses/>.

BEGIN{
	timecmd="date -u +\"%Y%m%d%H\""
}
{
	real=1
	eq=index($0,"=")
	argtab[substr($0,1,eq-1)]=substr($0,eq+1)
}
END{
	if(real=="")
		exit 1
	
	posttime=argtab["y"]argtab["m"]argtab["d"]argtab["h"]
	timecmd | getline thistime
		close(timecmd)
	
	if (thistime<posttime)
		exit 1
	
	
	if(int(argtab["round"])<=int(round))
	{
		print "<tr><td colspan=\"4\"><i>"argtab["subject_h"]"</i> "(argtab["ID"]!=""?"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<a href=\"/ott/view?p="argtab["ID"]"#p"argtab["ID"]"\">OTT time travel</a>)":"")"</td></tr>"
		print"<tr><td colspan=\"4\">"((argtab["HTML"]!="")?argtab["HTML"]:argtab["BBHTML"])"</td></tr>"
	}
	else if (int(argtab["round"])==int(round)+1)
	{
		print "<tr align=\"center\"><td colspan=\"4\"><a href=\""url"\">"argtab["subject_h"]"</a></td></tr>"
	}
	
}