#! /usr/bin/mawk -f

#// notice4.awk
#// Add SilentBot's posts' ID to the viewer
#// 31.03.2015
#// 
#// Copyright (C) 2015  Balthasar Szczepański
#// 
#// This program is free software: you can redistribute it and/or modify
#// it under the terms of the GNU Affero General Public License as
#// published by the Free Software Foundation, either version 3 of the
#// License, or (at your option) any later version.
#// 
#// This program is distributed in the hope that it will be useful,
#// but WITHOUT ANY WARRANTY; without even the implied warranty of
#// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#// GNU Affero General Public License for more details.
#// 
#// You should have received a copy of the GNU Affero General Public License
#// along with this program.  If not, see <http://www.gnu.org/licenses/>.

BEGIN{
	lasttime="/eizm/mem/t1i/notice/lasttime"
	list="/eizm/mem/t1i/mpost/sent/"
	list2="/eizm/mem/aftertime/mpost/"
	
	listcmd="/bin/ls -1 --color=never "list
	
	
	getline lastpost < lasttime
	close(lasttime)
	
	if(lastpost=="")
		lastpost="0000000000"
	
	while ((listcmd | getline postid)>0)
	{
		if (postid !~ /^[0-9A-F]+_53696C656E7454696D6572/)
			continue
		
		number=substr(postid,1,index(postid,"_")-1)
		
		if (number<=lasttime)
			continue
		
		postfile=list postid
		
		split("", argtab, ":")
		while((getline line < postfile)>0)
		{
			f=1
			gsub(/[\r\n]/,"",line)
			eq=index(line,"=")
			argtab[substr(line,1,eq-1)]=substr(line,eq+1)
		}
		close (postfile)
		if(argtab["ID"]=="")
			continue
		
		if(argtab["subject_h"]!~/t1i-[0-9][0-9][0-9][0-9]$/)
			continue
		
		ottid=argtab["ID"]
		
		frame=substr(argtab["subject_h"], length(argtab["subject_h"])-3)
		
		y=substr(number,1,4)
		m=substr(number,5,2)
		d=substr(number,7,2)
		h=substr(number,9,2)
		
		
		for(i=1;i<100;++i)
		{
			postfile=list2 "t1i-"frame"-"sprintf("%02u",i)
			
			split("", argtab, ":")
			while((getline line < postfile)>0)
			{
				f=1
				gsub(/[\r\n]/,"",line)
				eq=index(line,"=")
				argtab[substr(line,1,eq-1)]=substr(line,eq+1)
			}
			close (postfile)
			
			if(argtab["timenumber"]=="")
				break;
			
			if(argtab["y"]!=y || argtab["m"]!=m || argtab["d"]!=d || argtab["h"]!=h)
				continue
			
			if(argtab["ID"]!="")
				break;
				
			print "ID="ottid >> postfile
			close(postfile)
			
			#print argtab["timenumber"]
			
			print number > lasttime
			close(lasttime)
			
		}
	}
	close(listcmd)
}