// remove.c (1190.bicyclesonthemoon.info/silentbot/remove)
// remove a post
// 25.04.2015
// 
// Copyright (C) 2015  Balthasar Szczepański
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
// 
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <cgi.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>

#define SENT_PATH "/eizm/mem/t1i/mpost/sent/"
#define WAIT_PATH "/eizm/mem/t1i/mpost/"
#define RMOV_PATH "/eizm/mem/t1i/mpost/rm/"
#define MV_PATH "/bin/mv"
#define MAWK_PATH "/usr/bin/mawk"
#define AWK_VERIFY "/eizm/pro/t1i/verify.awk"

int main(int argc, char **argv)
{
	s_cgi *cgi;
	pid_t sub;
	int r;
	
	char zero='\0';
	char *rmov = &zero;
	char *arg;
	char *username;
	char *password;
	char inpath[256];
	char outpath[256];
	char argp1[256];
	char argp2[256];
	
	cgi=cgiInit();
	
	rmov=((arg=cgiGetValue(cgi,"r"))?arg:&zero);
	
	username=((arg=cgiGetValue(cgi,"username"))?arg:&zero);
	password=((arg=cgiGetValue(cgi,"password"))?arg:&zero);
	if(username[0]=='\0'||password[0]=='\0')
	{
		arg=cgiGetValue(cgi,"r");
		if(arg!=NULL)
			rmov=arg;
		printf("Content-type: text/html\n\n");
		printf("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"\">\n");
		printf("<html lang=\"en\"><head>\n");
		printf("<title>the Silent Chronotransponder &bull; Bicycles on the Moon</title>\n");
		printf("<meta http-equiv=\"Content-type\" content=\"text/html; charset=UTF-8\">\n");
		printf("<link rel=\"icon\" type=\"image/png\" href=\"/img/favicon.png\">\n");
		printf("<link rel=\"stylesheet\" href=\"/css/botm.css\">\n");
		printf("</head><body>\n");
		printf("<img src=\"/img/botmlogo2.png\" alt=\"1190.bicyclesonthemoon.info\" border=\"0\">\n");
		printf("<h1>the Silent Chronotransponder interface</h1>\n");
		printf("<form action=\"/silentbot/remove\" method=\"post\">\n");
		printf("<b>Remove post %s?</b><table>\n",rmov);
		printf("<tr><td><b>Username: </b></td><td><input type=\"text\" name=\"username\" class=\"pt\" value=\"%s\"></td></tr>\n",username);
		printf("<tr><td><b>Password: </b></td><td><input type=\"text\" name=\"password\" class=\"pt\"></td></tr>\n");
		printf("<tr><td><input type=\"hidden\" name=\"r\" value=\"%s\"></td><td><input type=\"submit\" class=\"pk\" value=\"Remove\"></td></tr></table></form>\n",rmov);
		printf("<br><a href=\"/\">1190.bicyclesonthemoon.info</a></body></html>\n");
		return 0;
	}
	
	if(rmov[0]=='s'&&rmov[1]=='t')
		sprintf(inpath,"%s%s",SENT_PATH,rmov+2);
	else if(rmov[0]=='w'&&rmov[1]=='t')
		sprintf(inpath,"%s%s",WAIT_PATH,rmov+2);
	else
	{
		cgiRedirect("/silentbot/list");
		return(0);
	}
	
	sprintf(argp1,"name=%s",username);
	sprintf(argp2,"pass=%s",password);
	
	sub=fork();
	if(sub==0)
	{
		r=execl(MAWK_PATH,MAWK_PATH,"-f",AWK_VERIFY,"-v",argp1,"-v",argp2,inpath,(char *)0);
		exit(r);
	}
	waitpid(sub,&r,0);
	if(r)
	{
		cgiRedirect("/silentbot/list");
		return(0);
	}
	sprintf(outpath,"%s%s",RMOV_PATH,rmov+2);
	
	sub=fork();
	if(sub==0)
	{
		r=execl(MV_PATH,MV_PATH,inpath,outpath,(char *)0);
		exit(r);
	}
	waitpid(sub,&r,0);
		cgiRedirect("/silentbot/list");
	return 0;
}